Subject: Re: draft-vainshtein-pwe3-ucesopsn-00.txt QoS section

From: Brian E Carpenter <[email-masked]>
Date: Fri, 22 Nov 2002 17:23:15 +0100

The problem with mentioning PHBs rather than PDBs is that people
sometimes assign magic properties to PHBs (i.e. they tend to believe
that if you set a PHB value, you will automatically get QOS). 
Referring to PDBs is important to make it clear that this is not
the case unless a PDB has been configured.

   Brian

Eduard Metz wrote:
> 
> I agree that the suggested text is an improvement over the existing one. I
> would change "...and provides a low-jitter, low-loss PDB [RFC3086] ..." into
> something like "... and provides a PDB [RFC3086] that guarantees low-jitter
> and low-loss..." though. Since to my knowledge [RFC3086] does not actually
> specify a low-jitter, low-loss PDB but defines PDB itself.
> 
> Generally speaking, would you consider referring (or hinting) to a PHB be a
> bad thing in this context? The only description for PDBs I could find is one
> for 'lesser-effort'. In the absence of a PDB that meets low-jitter, low-loss
> (or is there one?), pointing to a PDB ingredient would not be harmful IMHO.
> 
> cheers,
>         Eduard
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]On Behalf Of
> > Alexander Vainshtein
> > Sent: vrijdag 22 november 2002 14:01
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: Re: [PWE3] draft-vainshtein-pwe3-ucesopsn-00.txt QoS section
> >
> >
> >
> > Kathie,
> > Thank you for a correction.
> > If you do not object, I will use the text you have suggested
> > in th e next
> > revision.
> >
> >
> > Regards,
> >                Sasha
> >
> >
> >
> >
> >
> > >From: Kathleen Nichols <[email-masked]>
> > >To: [email-masked]
> > >CC: brian <[email-masked]>
> > >Subject: [PWE3] draft-vainshtein-pwe3-ucesopsn-00.txt QoS section
> > >Date: Thu, 21 Nov 2002 11:16:46 -0800
> > >
> > >
> > >draft-vainshtein-pwe3-ucesopsn-00.txt contains the following section:
> > >
> > >-------------------------------------------------------------
> > ---------
> > >  5.7. QoS Issues
> > >
> > >If the PSN providing connectivity between PE devices is Diffserv-
> > >enabled and implements EF PHB (see [RFC3246]), all the UCESoPSN data
> > >packets should be marked for EF PHB at ingress. Such an arrangement
> > >decreases packet inter-arrival jitter as well as prevents packet loss
> > >due to congestion in the PSN and hence improves availability of the
> > >emulated service and decreases latency introduced by the TDM circuit
> > >emulation.
> > >-------------------------------------------------------------
> > -----------
> > >
> > >I want to point out that, as a statement for QoS packet treatment,
> > >this is lacking a bit. The above is somewhat analogous to saying
> > >"everyone traveling to the IETF should grab a seat in first class
> > >on the airplane coming here." Clearly this doesn't work without
> > >regard to the booking and allocation requirements of each airline
> > >for each particular plane.
> > >
> > >You might consider something more like: "If the PSN providing
> > >connectivity between PE devices is Diffserv-enabled and provides
> > >a low-jitter, low-loss PDB [RFC3086], the UCESoPSN PW should
> > >use that PDB in compliance with the admission and allocation rules
> > >the PSN has put in place for that PDB (e.g., marking packets as
> > >directed by the PSN)."
> > >
> > >     Kathie Nichols, diffserv WG co-chair
> > >
> > >_______________________________________________
> > >pwe3 mailing list
> > >[email-masked]
> > >https://www1.ietf.org/mailman/listinfo/pwe3
> >
> >
> > _________________________________________________________________
> > The new MSN 8: smart spam protection and 2 months FREE*
> > http://join.msn.com/?page=features/junkmail
> >
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Distinguished Engineer, Internet Standards & Technology, IBM 
On assignment at the IBM Zurich Laboratory, Switzerland

---

From: Kathleen Nichols <[email-masked]>
Date: Mon, 25 Nov 2002 10:51:55 -0800

Sorry for the late response (came home from Atlanta to
"life"):

Yes, of course Eduard's wording is better than mine. But
I do not object to using my (modified) wording.

I agree with Brian about the danger of specifying or hinting
PHBs, which is why I sent the original notice (Brian and I
try to be pretty consistent on this).

	thanks,
		Kathie